## org.apache.lucene.analysis.hi
Class HindiAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.StopwordAnalyzerBase
                  org.apache.lucene.analysis.hi.HindiAnalyzer

All Implemented Interfaces:
  Closeable

    public final class HindiAnalyzer

extends org.apache.lucene.analysis.StopwordAnalyzerBase

Analyzer for Hindi.

You must specify the required `Version` compatibility when creating HindiAnalyzer:

- As of 3.6, StandardTokenizer is used for tokenization

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents`

Field Summary
`static String` `DEFAULT_STOPWORD_FILE` File containing default Hindi stopwords.

Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`HindiAnalyzer(org.apache.lucene.util.Version version)` Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.
`HindiAnalyzer(org.apache.lucene.util.Version version, Set<?> stopwords)` Builds an analyzer with the given stop words
`HindiAnalyzer(org.apache.lucene.util.Version version, Set<?> stopwords, Set<?> stemExclusionSet)` Builds an analyzer with the given stop words

Method Summary
`protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents` `createComponents(String fieldName, Reader reader)` Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static Set<?>` `getDefaultStopSet()` Returns an unmodifiable instance of the default stop-words set.

Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default Hindi stopwords. Default stopword list is from http://members.unine.ch/jacques.savoy/clef/index.html The stopword list is BSD-Licensed.

  See Also:
    Constant Field Values

Constructor Detail

### HindiAnalyzer

    public HindiAnalyzer(org.apache.lucene.util.Version version,
                         Set<?> stopwords,
                         Set<?> stemExclusionSet)

  Builds an analyzer with the given stop words

  Parameters:
    `version` - lucene compatibility version
    `stopwords` - a stopword set
    `stemExclusionSet` - a stemming exclusion set

### HindiAnalyzer

    public HindiAnalyzer(org.apache.lucene.util.Version version,
                         Set<?> stopwords)

  Builds an analyzer with the given stop words

  Parameters:
    `version` - lucene compatibility version
    `stopwords` - a stopword set

### HindiAnalyzer

    public HindiAnalyzer(org.apache.lucene.util.Version version)

  Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.

Method Detail

### getDefaultStopSet

    public static Set<?> getDefaultStopSet()

  Returns an unmodifiable instance of the default stop-words set.

  Returns:
    an unmodifiable instance of the default stop-words set.

### createComponents

    protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                                                     Reader reader)

  Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.ReusableAnalyzerBase`
  Returns:
    `ReusableAnalyzerBase.TokenStreamComponents` built from a `StandardTokenizer` filtered with `LowerCaseFilter`, `IndicNormalizationFilter`, `HindiNormalizationFilter`, `KeywordMarkerFilter` if a stem exclusion set is provided, `HindiStemFilter`, and Hindi Stop words